Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# strbuf Struct Reference

`#include <os_stropts.h>`

Inheritance diagram for strbuf:

[legend]
List of all members.

## Public Attributes
int | maxlen
| No. of bytes in buffer.
int | len
| No. of bytes returned.
void * | buf
| Pointer to data.

## Member Data Documentation

void* strbuf::buf

| Pointer to data.

int strbuf::len

| No. of bytes returned.

int strbuf::maxlen

| No. of bytes in buffer.

The documentation for this struct was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/os_stropts.h